/**
*** SIMPLE GRID
*** (C) ZACH COLE 2016
**/

/* UNIVERSAL */

html,
body {
  height: 100%;
  width: 100%;
  margin: 0;
  padding: 0;
  left: 0;
  top: 0;
  font-size: var(--vscode-font-size);
  color: var(--vscode-editor-foreground);
  font-weight: var(--vscode-font-weight);
}

a {
  font-weight: var(--vscode-font-weight);
}

/* ROOT FONT STYLES */

* {
  font-family: var(--vscode-font-family);
  line-height: 1.5;
}

/* TYPOGRAPHY */

h1 {
  font-size: 2.5rem;
}

h2 {
  font-size: 2rem;
}

h3 {
  font-size: 1.375rem;
}

h4 {
  font-size: 1.125rem;
}

h5 {
  font-size: 1rem;
}

h6 {
  font-size: 0.875rem;
}

p {
  font-size: var(--vscode-font-size);
  font-weight: var(--vscode-font-weight);
  margin: 0px;
}

.fontLight {
  font-weight: 300;
}

.fontRegular {
  font-weight: lighter;
}

.fontHeavy {
  font-weight: 700;
}

/* POSITIONING */

.left {
  text-align: left;
}

.right {
  text-align: right;
}

.center {
  text-align: center;
  margin-left: auto;
  margin-right: auto;
}

.justify {
  text-align: justify;
}

/* ==== GRID SYSTEM ==== */

.container {
  width: 90%;
  margin-left: auto;
  margin-right: auto;
}

.row {
  position: relative;
  width: 100%;
}

.row [class^="grid_col"] {
  float: left;
  margin: 0.5rem 2%;
  min-height: 0.125rem;
}

.col1,
.col2,
.col3,
.col4,
.col5,
.col6,
.col7,
.col8,
.col9,
.col10,
.col11,
.col12 {
  width: 96%;
}

.col1Sm {
  width: 4.33%;
}

.col2Sm {
  width: 12.66%;
}

.col3Sm {
  width: 21%;
}

.col4Sm {
  width: 29.33%;
}

.col5Sm {
  width: 37.66%;
}

.col6Sm {
  width: 46%;
}

.col7Sm {
  width: 54.33%;
}

.col8Sm {
  width: 62.66%;
}

.colS9Sm {
  width: 71%;
}

.col10Sm {
  width: 79.33%;
}

.col11Sm {
  width: 87.66%;
}

.col12Sm {
  width: 96%;
}

.row::after {
  content: "";
  display: table;
  clear: both;
}

.hiddenSm {
  display: none;
}

@media only screen and (min-width: 33.75em) {
  /* 540px */
  .container {
    width: 80%;
  }
}

@media only screen and (min-width: 45em) {
  /* 720px */
  .col1 {
    width: 4.33%;
  }

  .col2 {
    width: 12.66%;
  }

  .col3 {
    width: 21%;
  }

  .col4 {
    width: 29.33%;
  }

  .col5 {
    width: 37.66%;
  }

  .col6 {
    width: 46%;
  }

  .col7 {
    width: 54.33%;
  }

  .col8 {
    width: 62.66%;
  }

  .col9 {
    width: 71%;
  }

  .col10 {
    width: 79.33%;
  }

  .col11 {
    width: 87.66%;
  }

  .col12 {
    width: 96%;
  }

  .hiddenSm {
    display: block;
  }
}

@media only screen and (min-width: 60em) {
  /* 960px */
  .container {
    width: 75%;
    max-width: 60rem;
  }
}
